org.eclipse.oomph.p2.core

## Interface AgentManagerElement

- All Known Subinterfaces:
    Agent, AgentElement, BundlePool, Profile

      public interface AgentManagerElement

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `void` | `delete(boolean force)`
    `AgentManager` | `getAgentManager()`
    `File` | `getLocation()`
    `boolean` | `isCurrent()`
    `boolean` | `isUsed()`
    `boolean` | `isValid()`

- - ### Method Detail

    - #### getAgentManager

          AgentManager getAgentManager()

    - #### getLocation

          File getLocation()

    - #### isValid

          boolean isValid()

    - #### isCurrent

          boolean isCurrent()

    - #### isUsed

          boolean isUsed()

    - #### delete

          void delete()

    - #### delete

          void delete(boolean force)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html